using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
    public interface ISupplierLogic
    {
        List<SupplierViewModel>? ReadList(SupplierSearchModel? model);
        SupplierViewModel? ReadElement(SupplierSearchModel model);
        bool Create(SupplierBindingModel model);
        bool Update(SupplierBindingModel model);
        bool Delete(SupplierBindingModel model);
    }
}
